<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layout_behavior="@string/appbar_scrolling_view_behavior">

    <LinearLayout
        android:id="@+id/viewNames"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintTop_toTopOf="parent">

        <EditText
            android:id="@+id/nameTeamA"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:autofillHints=""
            android:gravity="center"
            android:imeOptions="actionDone"
            android:inputType="text"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            android:text="@string/team_a"
            android:textAppearance="@style/TextAppearance.AppCompat.Large" />

        <EditText
            android:id="@+id/nameTeamB"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:autofillHints=""
            android:gravity="center"
            android:imeOptions="actionDone"
            android:inputType="text"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            android:text="@string/team_b"
            android:textAppearance="@style/TextAppearance.AppCompat.Large" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/viewScore"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintTop_toBottomOf="@+id/viewNames">

        <TextView
            android:id="@+id/scoreA"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="0"
            android:textAppearance="@style/TextAppearance.AppCompat.Body1"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/scoreB"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="0"
            android:textAppearance="@style/TextAppearance.AppCompat.Body1"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </LinearLayout>

    <View
        android:id="@+id/divider5"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="?android:attr/listDivider"
        app:layout_constraintBottom_toBottomOf="@+id/scrollViewHistory" />

    <ScrollView
        android:id="@+id/scrollViewHistory"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="16dp"
        app:layout_constraintBottom_toTopOf="@+id/viewInput"
        app:layout_constraintTop_toBottomOf="@+id/viewScore">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/historyA"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0.2"
                android:gravity="center" />

            <TextView
                android:id="@+id/historyB"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0.2"
                android:gravity="center" />

        </LinearLayout>

    </ScrollView>


    <View
        android:id="@+id/divider6"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="?android:attr/listDivider"
        app:layout_constraintBottom_toBottomOf="@+id/viewScore" />

    <LinearLayout
        android:id="@+id/viewInput"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/ButtonRow1">

        <EditText
            android:id="@+id/inputTeamA"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:ems="10"
            android:gravity="center"
            android:hint="0"
            android:importantForAutofill="no"
            android:inputType="numberSigned"
            tools:ignore="HardcodedText" />

        <EditText
            android:id="@+id/inputTeamB"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:ems="10"
            android:gravity="center"
            android:hint="0"
            android:importantForAutofill="no"
            android:inputType="numberSigned"
            tools:ignore="HardcodedText" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ButtonRow1"
        style="?android:attr/buttonBarStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/ButtonRow2">

        <Button
            android:id="@+id/button1"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="1"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/button2"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="2"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/button3"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="3"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/buttonAdd100"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="+100"
            tools:ignore="HardcodedText" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ButtonRow2"
        style="?android:attr/buttonBarStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/ButtonRow3">

        <Button
            android:id="@+id/button4"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="4"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/button5"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="5"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/button6"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="6"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/buttonSub100"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="-100"
            tools:ignore="HardcodedText" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ButtonRow3"
        style="?android:attr/buttonBarStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/ButtonRow4">

        <Button
            android:id="@+id/button7"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="7"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/button8"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="8"
            tools:ignore="HardcodedText" />

        <Button
            android:id="@+id/button9"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="9"
            tools:ignore="HardcodedText" />

        <ImageButton
            android:id="@+id/buttonBack"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:cropToPadding="false"
            android:paddingTop="15dp"
            android:paddingBottom="15dp"
            android:scaleType="fitCenter"
            app:srcCompat="@drawable/back"
            android:contentDescription="@string/back" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ButtonRow4"
        style="?android:attr/buttonBarStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="parent"
        tools:layout_editor_absoluteX="1dp">

        <Button
            android:id="@+id/buttonInv"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.0"
            android:text="+/-" />

        <Button
            android:id="@+id/button0"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.0"
            android:text="0" />

        <Space
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.0" />

        <ImageButton
            android:id="@+id/submit"
            style='style="?android:attr/buttonBarButtonStyle'
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1.0"
            android:scaleType="fitCenter"
            app:srcCompat="@drawable/checkmark"
            android:contentDescription="TODO" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>